/*

	Copyright (c) 1996-2001 Macromedia, Inc.	All Rights Reserved

	You may utilize this source file to create and compile object code for use within products
	you may create. THIS CODE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, AND
	MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.	IN NO EVENT WILL MACROMEDIA BE
	LIABLE TO YOU FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
	USE OR INABILITY TO USE THIS CODE.

*/


#include "dversion.h"

#include "types.r"

/////////////////////////////////////////////////////////////////////////////
//
// MAC RESOURCES
//
/////////////////////////////////////////////////////////////////////////////

// Construct BCD manglings of version numbers
//
#define VER_MAJORVERSION_BCD	16 * ((VER_MAJORVERSION / 10) % 10) + (VER_MAJORVERSION  % 10)
#define VER_SUBVERSION_BCD		16 *  (VER_MINORVERSION % 10)       + (VER_BUGFIXVERSION % 10)
#define VER_BUILDNUMBER_BCD		16 * ((VER_BUILDNUM     / 10) % 10) + (VER_BUILDNUM      % 10)


resource 'vers' (1) {
	VER_MAJORVERSION_BCD,
	VER_SUBVERSION_BCD,
	VER_MACBUILDSTAGE,
	VER_BUILDNUMBER_BCD,
	verUS,
	VER_VERSION_STRING,										// Short version string
	"xtra ScrnXtra (Classic) " VER_VERSION_STRING "\n"
	"Copyright (c) 1996,97,98 Little Planet Publishing"				// "Version" item in Get Info
};

