/*
	Copyright (c) 1998-2001 Macromedia, Inc.	All Rights Reserved

	You may utilize this source file to create and compile object code for use within products
	you may create. THIS CODE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, AND
	MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.	IN NO EVENT WILL MACROMEDIA BE
	LIABLE TO YOU FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
	USE OR INABILITY TO USE THIS CODE.
*/

#ifndef _H_Script
#define _H_Script
//---------------------
#include "moastdif.h"
#include "xmmvalue.h"
#include "mmiutil.h"

/* --------------------------------------------------- */


//#error PLEASE DEFINE A NEW CLSID
//DEFINE_GUID(CLSID_ScrnXtra );

// {AD575337L-0003-F443-0000-08000057FC60}//= ScrnXtra 1
DEFINE_GUID(CLSID_ScrnXtra, 
 0xAD575337L, 0x0003, 0xF443, 0x00, 0x00, 0x08, 0x00, 0x00, 0x57, 0xFC, 0x60);


EXTERN_BEGIN_DEFINE_CLASS_INSTANCE_VARS(ScrnXtra)

	PIMoaMmUtils2 	pMoaUtils;
	PIMoaMmValue	pValueInterface;
	/*
	 * ---> insert additional variable(s) -->
	 */
	 
	//----------
	// Used by support code
	//MoaSupData		moaSupData;
	//MoaMmSupData		moaMmSupData;
	//MoaDrSupData		moaDrSupData;
	
	
	//lingo instance variables
	//MoaMmValue		m_initialized;
	
	PIMoaHandle			pHandle;
	PIMoaAppInfo		pAppInfo;
	PIMoaMmValue		pMmValue;
	PIMoaDrPlayer		pDrPlayer;

	PIMoaMmUtils2		pMmUtils2;
	PIMoaMmList			pMmList;
	PIMoaDrUtils		pDrUtils;
	
	//MoaBool			m_isAllowed;
	
	long				m_captureSource;
	long				m_captureDest;
	long				m_imageSize;
	//-----------

EXTERN_END_DEFINE_CLASS_INSTANCE_VARS



/*****************************************************************************
 * Xtra Moa Registration Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(ScrnXtra, IMoaRegister)

	EXTERN_DEFINE_METHOD(MoaError, Register, (PIMoaCache, PIMoaXtraEntryDict))

EXTERN_END_DEFINE_CLASS_INTERFACE



/*****************************************************************************
 * Xtra Moa Scripting Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(ScrnXtra, IMoaMmXScript)

	EXTERN_DEFINE_METHOD(MoaError, Call, (PMoaDrCallInfo))
private:
	// Methods that implement the Lingo commands.
	// These are dispatched from "Call"

	
	/*
	 * ---> insert additional method(s) -->
	 */ 
	 EXTERN_DEFINE_METHOD(MoaError, XScrpGlobal_CaptureMethod, (PMoaDrCallInfo))
	 
EXTERN_END_DEFINE_CLASS_INTERFACE

//---------------------
#endif /* _H_Script */
