// StXSup.h
#ifndef STXSUP_H
#define STXSUP_H

#ifndef XSUPPORT_DEBUG
#define XSUPPORT_DEBUG 0
#endif
#ifndef XSUPPORT_SIZE
#define XSUPPORT_SIZE 1024
#endif

#if defined(powerc)
#include
extern const CFragInitBlock *gInitBlock;
extern Boolean gInitialized;

// Metrowerks CFM initialization & termination entry points
pascal OSErr __initialize(const CFragInitBlock *theInitBlock);
pascal void __terminate();

// MOA initialization & termination entry points
#pragma export on
pascal OSErr Initialize(const CFragInitBlock *theInitBlock);
pascal void Terminate();
#pragma export off
#pragma overload pascal OSErr Initialize(const CFragInitBlock*
pInitBlock);
#pragma overload pascal void Terminate(void);

#endif //defined(powerc)