/*
	Copyright (c) 1998-2001 Macromedia, Inc.	All Rights Reserved

	You may utilize this source file to create and compile object code for use within products
	you may create. THIS CODE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, AND
	MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.	IN NO EVENT WILL MACROMEDIA BE
	LIABLE TO YOU FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
	USE OR INABILITY TO USE THIS CODE.
*/

#ifndef MyXtra_H_Script
#define MyXtra_H_Script

//#ifndef _H_moaxtra		  
//	#include "moaxtra.h"
//#endif
//#ifndef _H_mmixscrp
//	#include "mmixscrp.h"
//#endif
//#include "mmiutil.h"
//#include "mmiservc.h"
//#include "mmivalue.h"
//#include "moastdif.h"
//#include "mivect3d.h"
#include "mmiimage.h"
#include "xmmvalue.h"
#include "moafile2.h"

/* --------------------------------------------------- */


// {C12632B0-32BB-41a6-BA74-2BCF7248D45C}
DEFINE_GUID(CLSID_MyXtra, 
0x68562ced, 0x3bb4, 0x426c, 0xb1, 0x81, 0x66, 0xd7, 0x69, 0xa5, 0x46, 0xc1);


EXTERN_BEGIN_DEFINE_CLASS_INSTANCE_VARS(MyXtra)

	PIMoaMmValue				pValueInterface;
	//PIMoaMmList					pListInterface;
	PIMoaMmUtils2				pMoaUtils;
	//PIMoa3dVectorValueUtils		p3dVecInterface;
	PIMoaMmImage				pImageInterface;
	//PIMoaMmWndWin				pWindowInterface;
	PIMoaDrMovie        pMovieInterface;
	PIMoaDrUtils        pDrUtils;
	PIMoaDrPlayer       pDrPlayer;
	PIMoaFile2					pMoaFile;

EXTERN_END_DEFINE_CLASS_INSTANCE_VARS



/*****************************************************************************
 * Xtra Moa Registration Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(MyXtra, IMoaRegister)

	EXTERN_DEFINE_METHOD(MoaError, Register, (PIMoaCache, PIMoaXtraEntryDict))

EXTERN_END_DEFINE_CLASS_INTERFACE



/*****************************************************************************
 * Xtra Moa Scripting Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(MyXtra, IMoaMmXScript)

	EXTERN_DEFINE_METHOD(MoaError, Call, (PMoaDrCallInfo))
private:
	// Methods that implement the Lingo commands.
	// These are dispatched from "Call"

	EXTERN_DEFINE_METHOD(MoaError, XPly_CaptureMethod, (PMoaDrCallInfo, long, long, long))

EXTERN_END_DEFINE_CLASS_INTERFACE

#endif /* _H_Script */
